/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_AbstractMultiDimensionalImageModelAxisOrientation;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_AbstractMultiDimensionalImageModelAxisOrientation;


/**
 * This class represents AbstractMultiDimensionalImageModelAxisOrientation - CID7185
 */
public class AbstractMultiDimensionalImageModelAxisOrientation_CID7185 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * Instantiates a new AbstractMultiDimensionalImageModelAxisOrientation_CID7185 Template 
	 */
	public AbstractMultiDimensionalImageModelAxisOrientation_CID7185()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumAbstractMultiDimensionalImageModelAxisOrientation Object of EnumCM_AbstractMultiDimensionalImageModelAxisOrientation represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_AbstractMultiDimensionalImageModelAxisOrientation enumAbstractMultiDimensionalImageModelAxisOrientation)
	{
		switch(enumAbstractMultiDimensionalImageModelAxisOrientation)
		{
		case RIGHT_TO_LEFT:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.RIGHT_TO_LEFT_110866
					.getValue();
			break;
		case LEFT_TO_RIGHT:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.LEFT_TO_RIGHT_110867
					.getValue();
			break;
		case HEAD_TO_FOOT:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.HEAD_TO_FOOT_110868
					.getValue();
			break;
		case FOOT_TO_HEAD:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.FOOT_TO_HEAD_110869
					.getValue();
			break;
		case ANTERIOR_TO_POSTERIOR:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.ANTERIOR_TO_POSTERIOR_110870
					.getValue();
			break;
		case POSTERIOR_TO_ANTERIOR:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.POSTERIOR_TO_ANTERIOR_110871
					.getValue();
			break;
		case APEX_TO_BASE:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.APEX_TO_BASE_110872
					.getValue();
			break;
		case BASE_TO_APEX:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.BASE_TO_APEX_110873
					.getValue();
			break;
		case ANTERIOR_TO_INFERIOR:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.ANTERIOR_TO_INFERIOR_110874
					.getValue();
			break;
		case INFERIOR_TO_ANTERIOR:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.INFERIOR_TO_ANTERIOR_110875
					.getValue();
			break;
		case SEPTUM_TO_WALL:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.SEPTUM_TO_WALL_110876
					.getValue();
			break;
		case WALL_TO_SEPTUM:
			this.strCodeValue = EnumCV_AbstractMultiDimensionalImageModelAxisOrientation.WALL_TO_SEPTUM_110877
					.getValue();
			break;
		}
	}

	/**
	 * Sets the value for AbstractMultiDimensionalImageModelAxisOrientation
	 * @param enumAbstractMultiDimensionalImageModelAxisOrientation Object of EnumCM_AbstractMultiDimensionalImageModelAxisOrientation.
	 */
	public void setAbstractMultiDimensionalImageModelAxisOrientation(EnumCM_AbstractMultiDimensionalImageModelAxisOrientation enumAbstractMultiDimensionalImageModelAxisOrientation)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumAbstractMultiDimensionalImageModelAxisOrientation.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.DCM.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumAbstractMultiDimensionalImageModelAxisOrientation);
	}
}
